//
// Created by Anton Jacker on 24.11.23.
//


#define SDA_PIN 1
#define SCL_PIN 2

#include "Dezibot.h"
#include <SPI.h>
#include <Adafruit_NeoPixel.h>
#include <Wire.h>

#define GPIO_LED 48
Dezibot::Dezibot():multiColorLight(){};

void Dezibot::begin(void) {
    Wire.begin(SDA_PIN,SCL_PIN);
    infraredLight.begin();
    lightDetection.begin();    
    motion.begin();
    lightDetection.begin();
    colorDetection.begin();
    multiColorLight.begin();
    motionDetection.begin();
    display.begin();
};


